package pojo;

import java.util.Objects;

public class JsonCsvData {
    private String key;
    private String value;

    public JsonCsvData(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return key;
    }

    public String getValue() {
        return value;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof JsonCsvData)) return false;
        JsonCsvData jsonData = (JsonCsvData) o;
        return Objects.equals(key, jsonData.key) &&
                Objects.equals(value, jsonData.value);
    }

    @Override
    public int hashCode() {

        return Objects.hash(key, value);
    }

    @Override
    public String toString() {
        return "jsonData{" +
                "key='" + key + '\'' +
                ", value='" + value + '\'' +
                '}';
    }
}
