import configurations.RegerMatcher;
import consumer.CsvFileReader;
import org.junit.Test;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.util.Date;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class ValicatorTest {

    @Test
    public void validatorTest_Valid() throws ParseException {
        String dataToTest="0,0,1377986580,1808.1469999999995";
        String regex = "([0-9]+),([0-9]+),([0-9]+),([0-9]+.[0-9]+)";
        Pattern p = Pattern.compile(regex);
        Matcher m = p.matcher(""); //default Matcher
        for (String s : dataToTest.split(",")) {
            System.out.println(s);
        }

        System.out.println(Long.parseLong("1377986580")*1000);

        System.out.println(new CsvFileReader().validator(dataToTest,m));

    }

    @Test
    public void regexTest() throws IOException {
        new RegerMatcher().regexMatch();
    }
}
